Skip to main content
GET
/
v1
/
refunds
List Refunds
curl --request GET \
  --url https://api.leanrails.com/v1/refunds \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "ref_xxx",
      "object": "refund",
      "amount": 1000,
      "currency": "usd",
      "payment_intent": "pi_xxx",
      "status": "succeeded",
      "created": 1234567890,
      "livemode": false,
      "charge": "ch_xxx",
      "reason": "<string>",
      "metadata": {}
    }
  ],
  "has_more": true,
  "url": "/v1/refunds",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

payment_intent
string

Filter refunds by PaymentIntent ID.

Response

A list of Refunds.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/refunds"

next_cursor
string | null